#include "physics.h"

#include "internal.h"
#include "internal/physics.h"

namespace kek::Physics {

void init() {
	kekData.physics = new PhysicsData();

	btDefaultCollisionConfiguration *collisionConf = new btDefaultCollisionConfiguration();
	btCollisionDispatcher *dispatcher = new btCollisionDispatcher(collisionConf);
	btBroadphaseInterface *overlappingPairCache = new btDbvtBroadphase();
	btSequentialImpulseConstraintSolver *solver = new btSequentialImpulseConstraintSolver();
	btDiscreteDynamicsWorld *world = new btDiscreteDynamicsWorld(dispatcher, overlappingPairCache, solver, collisionConf);
	world->setGravity(btVector3(0, -10, 0));
}

void destroy() {
	delete kekData.physics;
}

}
